#============================================================================
# prog_usage_f77w_base.mk

# the caller must set POD_SRC to the name of the pod source file
# e.g.:

#  POD_SRC = $(top_srcdir)/docs/$(PACKAGE_NAME).pod 
#  POD_SRC = $(srcdir)/bin.pod 

# if POD_SRC is found via VPATH, then the command may not have
# the correct path to it, depending upon the make (Solaris make will
# rewrite the command, GNU make won't).  To catch this error early,
# explicitly check for the existence of it.
usage.c : $(POD_SRC)
	test -f $? || { echo "Bad VPATH in Makefile"; false; }
	pod2text < $? | text2usage -pfx usage -f77w

MAINTAINERCLEANFILES	+= usage.c
EXTRA_DIST		+= usage.c
BUILT_SOURCES		+= usage.c
